changed osrf python version from 1.2. to 1.0 to match opensrf
[OpenSRF.git] / src / python / setup.py
1 #!/usr/bin/env python
2 from distutils.core import setup
3 import os, os.path
4
5 dir = os.path.dirname(__file__)
6
7 setup(name='OpenSRF',
8     version='1.0',
9 # requires is not actually implemented in distutils
10 #    requires=['memcache', 'pyxmpp', 'simplejson'],
11     description='OpenSRF Python Modules',
12     author='Bill Erickson',
13     author_email='open-ils-dev@list.georgialibraries.org',
14     url='http://www.open-ils.org/',
15     packages=['osrf'],
16     package_dir={'': dir},
17     scripts=[os.path.join(dir, 'srfsh.py')]
18 )